
env.info("Checking zones for Wasblue.")

if zones.farpalpha.wasBlue then
    RespawnStaticsForAirbase("FARP Alpha", coalition.side.BLUE)
    
    local airbaseAlpha = AIRBASE:FindByName("FARP Alpha")
    if airbaseAlpha then
        airbaseAlpha:SetCoalition(2)
    else
        env.warning("Airbase 'FARP Alpha' not found.")
    end
end

if zones.farpbravo.wasBlue then
    RespawnStaticsForAirbase("FARP Bravo", coalition.side.BLUE)
    
    local airbaseBravo = AIRBASE:FindByName("FARP Bravo")
    if airbaseBravo then
        airbaseBravo:SetCoalition(2)
    else
        env.warning("Airbase 'FARP Bravo' not found.")
    end
end

if zones.farpcharlie.wasBlue then
    RespawnStaticsForAirbase("FARP Charlie", coalition.side.BLUE)
    
    local airbaseCharlie = AIRBASE:FindByName("FARP Charlie")
    if airbaseCharlie then
        airbaseCharlie:SetCoalition(2)
    else
        env.warning("Airbase 'FARP Charlie' not found.")
    end
end

if zones.farpdelta.wasBlue or zones.farpdelta.side == 2 then
    RespawnStaticsForAirbase("FARP Delta", coalition.side.BLUE)
    
    local airbaseDelta = AIRBASE:FindByName("FARP Delta")
    if airbaseDelta then
        airbaseDelta:SetCoalition(2)
    else
        env.warning("Airbase 'FARP Delta' not found.")
    end
end

if zones.farpecho.wasBlue then
    RespawnStaticsForAirbase("FARP Echo", coalition.side.BLUE)
    
    local airbaseEcho = AIRBASE:FindByName("FARP Echo")
    if airbaseEcho then
        airbaseEcho:SetCoalition(2)
    else
        env.warning("Airbase 'FARP Echo' not found.")
    end
end

if zones.farpfoxtrot.wasBlue then
    RespawnStaticsForAirbase("FARP Foxtrot", coalition.side.BLUE)
    
    local airbaseFoxtrot = AIRBASE:FindByName("FARP Foxtrot")
    if airbaseFoxtrot then
        airbaseFoxtrot:SetCoalition(2)
    else
        env.warning("Airbase 'FARP Foxtrot' not found.")
    end
end

if zones.farpgolf.wasBlue then
    RespawnStaticsForAirbase("FARP Golf", coalition.side.BLUE)
    
    local airbaseGolf = AIRBASE:FindByName("FARP Golf")
    if airbaseGolf then
        airbaseGolf:SetCoalition(2)
    else
        env.warning("Airbase 'FARP Golf' not found.")
    end
end

if zones.farphotel.wasBlue then
    RespawnStaticsForAirbase("FARP Hotel", coalition.side.BLUE)
    
    local airbasehotel = AIRBASE:FindByName("FARP Hotel")
    if airbasehotel then
        airbasehotel:SetCoalition(2)
    else
        env.warning("Airbase 'FARP Hotel' not found.")
    end
end

if zones.farpindia.wasBlue then
    RespawnStaticsForAirbase("FARP India", coalition.side.BLUE)
    
    local airbaseIndia = AIRBASE:FindByName("FARP India")
    if airbaseIndia then
        airbaseIndia:SetCoalition(2)
    else
        env.warning("Airbase 'FARP India' not found.")
    end
end

if zones.farpjuliett.wasBlue then
    RespawnStaticsForAirbase("FARP Juliett", coalition.side.BLUE)
    
    local airbaseJuliett = AIRBASE:FindByName("FARP Juliett")
    if airbaseJuliett then
        airbaseJuliett:SetCoalition(2)
    else
        env.warning("Airbase 'FARP Juliett' not found.")
    end
end

if zones.farpkilo.wasBlue then
    RespawnStaticsForAirbase("FARP Kilo", coalition.side.BLUE)
    
    local airbaseKilo = AIRBASE:FindByName("FARP Kilo")
    if airbaseKilo then
        airbaseKilo:SetCoalition(2)
    else
        env.warning("Airbase 'FARP Kilo' not found.")
    end
end

if zones.farplima.wasBlue then
    RespawnStaticsForAirbase("FARP Lima", coalition.side.BLUE)
    
    local airbaseLima = AIRBASE:FindByName("FARP Lima")
    if airbaseLima then
        airbaseLima:SetCoalition(2)
    else
        env.warning("Airbase 'FARP Lima' not found.")
    end
end

if zones.farpmike.wasBlue then
    RespawnStaticsForAirbase("FARP Mike", coalition.side.BLUE)
    
    local airbasemike = AIRBASE:FindByName("FARP Mike")
    if airbasemike then
        airbasemike:SetCoalition(2)
    else
        env.warning("Airbase 'FARP Mike' not found.")
    end
end

if zones.elgora.wasBlue then
    local airbase = AIRBASE:FindByName("El Gora")
    if airbase then
        airbase:SetCoalition(2)
    else
        env.warning("Airbase 'El Gora' not found.")
    end
end

if zones.elarish.wasBlue or zones.elarish.side == 2 then
    local airbase = AIRBASE:FindByName("El Arish")
    if airbase then
		elarishtruck = UNIT:FindByName( "ElArishtruck" )
		elarishtruck:Destroy( true )
        airbase:SetCoalition(2)
    else
        env.warning("Airbase 'El Arish' not found.")
    end
end



if zones.melez.wasBlue or zones.melez.side == 2 then
    local airbaseMelez = AIRBASE:FindByName("Melez")
    if airbaseMelez then
		Meleztruck = UNIT:FindByName( "MelezTruck" )
		Meleztruck:Destroy( true )
        airbaseMelez:SetCoalition(2)
    else
        env.warning("Airbase 'Melez' not found.")
    end
end


if zones.birhasanah.wasBlue then
    local airbase = AIRBASE:FindByName("Bir Hasanah")
    if airbase then
        airbase:SetCoalition(2)
    else
        env.warning("Airbase 'Bir Hasanah' not found.")
    end
end


if zones.aburudeis.wasBlue or zones.aburudeis.side == 2 then
    local airbaseAbuRudeis = AIRBASE:FindByName("Abu Rudeis")
    if airbaseAbuRudeis then
		Rudeistruck = UNIT:FindByName( "RudeisTruck" )
		Rudeistruck:Destroy( true )
        airbaseAbuRudeis:SetCoalition(2)
    else
        env.warning("Airbase 'Abu Rudeis' not found.")
    end
end

if zones.sharmelsheikh.wasBlue or zones.sharmelsheikh.side == 2 then
    local airbaseSharmElSheikh = AIRBASE:FindByName("Sharm El Sheikh International Airport")
    if airbaseSharmElSheikh then
        Sharmsolider = UNIT:FindByName( "SharmSolider" )
		Sharmsolider:Destroy( true )
		airbaseSharmElSheikh:SetCoalition(2)
		else
        env.warning("Airbase 'Sharm El Sheikh International Airport' not found.")
    end
end

if zones.hurghada.wasBlue or zones.hurghada.side == 2 then
    local airbaseHurghada = AIRBASE:FindByName("Hurghada International Airport")
    if airbaseHurghada then
		Hurghadatruck = UNIT:FindByName( "HurghadaTruck" )
		Hurghadatruck:Destroy( true )
        airbaseHurghada:SetCoalition(2)

    else
        env.warning("Airbase 'Hurghada International Airport' not found.")
    end
end

if zones.kedemhatzerim.wasBlue or zones.kedemhatzerim.side == 2 then
    local airbase = AIRBASE:FindByName("Hatzerim")
    hatzerimtruck = UNIT:FindByName( "HatzerimTruck" )
	hatzerimtruck:Destroy( true )
	if airbase then
	airbase:SetCoalition(2)
    else
        env.warning("Airbase 'Hatzerim' not found.")
    end
end

if zones.nevatim.wasBlue or zones.nevatim.side == 2 then
    local airbase = AIRBASE:FindByName("Nevatim")
	nevatimtruck = UNIT:FindByName( "nevatimTruck" )
	nevatimtruck:Destroy( true )
    if airbase then
	airbase:SetCoalition(2)
    else
        env.warning("Airbase 'Nevatim' not found.")
    end
end


env.info("zones check completed.")
